@import url('./reset.css');
@font-face { font-family: Arcade; src: url('../assets/fonts/JMH-Cthulhumbus-Arcade.otf'); }

:root {
    --scale: 1;
}

body {
    position: relative;
    min-height: 100vh;
}

.invaders__layer {
    position: fixed;
    top: 0;
    width: 20%;
    pointer-events: none;
    min-height: 100vh;
    z-index: 1;
    overflow: hidden;
    will-change: transform;
}

.invaders__layer--1-left,
.invaders__layer--2-left,
.invaders__layer--3-left {
    left: 0;
}

.invaders__layer--1-right,
.invaders__layer--2-right,
.invaders__layer--3-right {
    right: 0;
}

.invader {
    position: absolute;
    width: 50px;
    height: 50px;
    background-image: url('../assets/images/invaders-sprite.png');
    background-repeat: no-repeat;
    background-size: 300px 200px;
}

.invader-0 { background-position: 0 0; }
.invader-1 { background-position: -50px 0; }
.invader-2 { background-position: -100px 0; }
.invader-3 { background-position: -150px 0; }
.invader-4 { background-position: -200px 0; }
.invader-5 { background-position: -250px 0; }
.invader-6 { background-position: 0 -50px; }
.invader-7 { background-position: -50px -50px; }
.invader-8 { background-position: -100px -50px; }
.invader-9 { background-position: -150px -50px; }
.invader-10 { background-position: -200px -50px; }
.invader-11 { background-position: -250px -50px; }
.invader-12 { background-position: 0 -100px; }
.invader-13 { background-position: -50px -100px; }
.invader-14 { background-position: -100px -100px; }
.invader-15 { background-position: -150px -100px; }
.invader-16 { background-position: -200px -100px; }
.invader-17 { background-position: -250px -100px; }
.invader-18 { background-position: 0 -150px; }
.invader-19 { background-position: -50px -150px; }
.invader-20 { background-position: -100px -150px; }
.invader-21 { background-position: -150px -150px; }
.invader-22 { background-position: -200px -150px; }
.invader-23 { background-position: -250px -150px; }

.main-container {
    position: relative;
    width: 60%;
    margin: 0 auto;
    padding: 2rem 1rem;
    z-index: 2;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 1rem;
}

#header__title,
#header__nav p {
    font-family: Arcade;
}

#header__title {
    font-size: 3rem;
}

#header__nav {
    display: flex;
    gap: 6rem;
}

#header__nav p {
    font-size: 1.5rem;
    text-decoration: none;
    font-weight: bolder;
    transition: all 0.3s ease-out;
    transform: scale(0.8);
}

#header__nav p:hover {
    transform: scale(1);
    cursor: pointer;
}

#header__nav a {
    text-decoration: none;
}

@media (max-width: 480px) {
    :root {
        --scale: 0.7;
    }

    #header__title {
        font-size: 2em;
    }

    #header__nav p {
        font-size: 1.5em;
    }

    #header__nav {
        gap: 2em;
    }

    .invaders__layer {
        width: 50%;
        overflow:visible;
    }

    .invader {
        opacity: 0.1;
    }

    .main-container {
        width: 95%;
    }
}